/****
 * CATalkPane.h
 *
 *	Pane class for a typical application.
 *
 ****/
 
class CADSPConnector;

#define _H_CATalkPane			/* Include this file only once */
#include <CPanorama.h>

struct CATalkPane : CPanorama {
									/** Contruction/Destruction **/
	void		IATalkPane(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing);

	void		SetSubPanes(CPane *top, CPane *bottom);
	
	void		ChangeSize(Rect *delta, Boolean redraw);
	
private:
	CPane	*topPane;
	CPane	*bottomPane;
};
